Carl Youngblood wrote:
> I'm not sure who to talk to about this, but in my correspondence with
> some of the Apple developers on the carbon-dev mailing list, I have
> discovered that the current beta release of OS X Tiger is still using
> Ruby 1.6.  We should really remedy this situation.
> 

Are you sure it is 1.6? The source code for darwin 8 (tiger) has been 
partially released, and it seems to include 1.8.0.

http://www.opensource.apple.com/darwinsource/WWDC2004/ruby-14/

I hope that there is still time to include 1.8.2 when it comes out. 
Other pieces of tiger seem to get extra features in the newer developer 
builds, so I don't think code is frozen yet.